Subject: Re: bug#49278: [External] : bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: João Távora <[email-masked]>
Date: Tue, 28 Sep 2021 00:36:37 +0100

On Tue, Sep 28, 2021 at 12:25 AM Drew Adams <[email-masked]> wrote:

> It matters, I think, if the mode is called "Lisp mode".

Yes, it's true.  The name is unfortunate.  There are many Lisps,
but "Lisp mode" is designed to work with only one of them, Common
Lisp.

Renaming the mode to clarify an option IMO.  Maybe, if it has no impacts.
_Then_ would you agree to "Common Lisp mode is for Common Lisp"?

Everybody that codes Common Lisp knows it by 'lisp-mode' and there
are many tools that use that name. Maybe we could make an alias?

Anyway, just _because_ it happens to be called Lisp Mode, erroneously,
doesn't make it suitable for more Lisps magically.  If I start calling you
Michael Jordan, and the name somehow sticks, I doubt you'll ever become
a professional basketball player as a result. Many people will make that
assumption and you'll have to clearly state that you're not (you're not,
right?) in your user's manual.

João